[zfs-discuss] Grub error

thekingmen thekingmen at gmail.com
Fri Sep 11 21:52:19 EDT 2015


Are you sure that newer grub don't support newer feature flag ? I am 
using a git version of grub from 2 month ago and booting a zfs root 
which has all these features activated :
async_destroy, empty_bpobj, lz4_compress, spacemap_histogram, 
enabled_txg, hole_birth, extensible_dataset, embedded_data, bookmarks.

Le 2015-09-11 10:45, Hajo Möller via zfs-discuss a écrit :
>
> I would do something like this:
> * boot an Xubuntu 14.04 live CD (any other live Ubuntu would work, too)
> * install ubuntu-zfs via "add-apt-repository ppa:zfs-native/stable"
> * import the pool under /mnt
> * snapshot the pool
> * chroot into /mnt
> * upgrade from precise to trusty with "do-release-upgrade"
> * re-enable ppa:zfs-native/stable, then apt-get update, apt-get 
> dist-upgrade
> * check for built modules by looking at "dkms status"
> * snapshot again
> * reboot
>
> Do *not* run "zpool upgrade", it would enable feature flags which grub 
> doesn't understand yet.
>
> -- 
> Regards,
> Hajo Möller
>
>
>
> _______________________________________________
> zfs-discuss mailing list
> zfs-discuss at list.zfsonlinux.org
> http://list.zfsonlinux.org/cgi-bin/mailman/listinfo/zfs-discuss

-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://list.zfsonlinux.org/pipermail/zfs-discuss/attachments/20150911/65f6aac9/attachment.html>


More information about the zfs-discuss mailing list